Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225645 - Merge Review: cleanfeed
Summary: Merge Review: cleanfeed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cleanfeed
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:50 UTC by Nobody's working on this, feel free to take it
Modified: 2015-02-13 02:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 12:36:00 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:50:13 UTC
Fedora Merge Review: cleanfeed

http://cvs.fedora.redhat.com/viewcvs/devel/cleanfeed/
Initial Owner: stransky@redhat.com

Comment 1 Rafał Psota 2007-02-25 22:51:51 UTC
Needs work:
* Source 0 is not available
(ftp://ftp.exit109.com/users/jeremy/cleanfeed-0.95.7b.tar.gz)
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Spec file: some paths are not replaced with RPM macros
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
* Each %files section should have a %defattr line
  (wiki: Packaging/ReviewGuidelines)
* Some files (CHANGES & README) should be in %doc

rpmlint output:
Source RPM:
W: cleanfeed summary-ended-with-dot A spam filter for Usenet news servers.
W: cleanfeed invalid-license distributable
W: cleanfeed no-url-tag
E: cleanfeed hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/news/bin/filter
E: cleanfeed hardcoded-library-path in
$RPM_BUILD_ROOT/usr/lib/news/bin/filter/filter_innd.pl
E: cleanfeed hardcoded-library-path in /usr/lib/news/bin/filter
E: cleanfeed hardcoded-library-path in /usr/lib/news/bin/filter/filter_innd.pl
W: cleanfeed no-%build-section

rpmlint of cleanfeed:
W: cleanfeed summary-ended-with-dot A spam filter for Usenet news servers.
W: cleanfeed invalid-license distributable
W: cleanfeed no-url-tag
E: cleanfeed only-non-binary-in-usr-lib
W: cleanfeed conffile-without-noreplace-flag /etc/news/cleanfeed.conf
E: cleanfeed non-readable /usr/lib/news/bin/filter/filter_innd.pl 0750
E: cleanfeed non-standard-executable-perm
/usr/lib/news/bin/filter/filter_innd.pl 0750


Comment 2 Thomas Spura 2010-07-18 23:01:55 UTC
(Adding all current maintainers)

Any progress here?

Comment 3 Roman Rakus 2010-07-23 15:00:22 UTC
cleanfeed-20020501-4_fc14 built. What about this one?

Comment 4 Lukáš Nykrýn 2011-08-17 09:53:22 UTC
Checked git commit:
a79564bb2bc60af43dde6748eafb23d853f80bde

YES source files match upstream
YES package meets naming and versioning guidelines. 
YES specfile is properly named, is cleanly written and uses macros consistently
YES dist tag is present
YES clean section and buildroot present
YES license field matches the actual license
YES license is open source-compatible 
YES License text included in package
YES latest version is being packaged
N/A BuildRequires are proper
N/A compiler flags are appropriate
YES package builds in mock (Rawhide/x86_64)
N/A debuginfo package looks complete
YES rpmlint is silent
YES final provides and requires look sane
	-- dependence on perl is added automatically, but maybe it would by good to define it explicitly
N/A %check is present and all tests pass
N/A no shared libraries are added to the regular linker search paths
YES owns the directories it creates
YES doesn't own any directories it shouldn't
YES no duplicates in %files
N/A scriptlets must be sane
YES code, not content
N/A large documentation files must go in a -doc subpackage
YES %docs are not necessary for the proper functioning of the package
YES no headers
YES no pkgconfig files
YES no libtool .la droppings.
YES not a GUI app.

Additional comments:
User news is not by default in system, so it use root, I don't know if it is desired behavior.

Comment 5 Cole Robinson 2015-02-11 20:35:42 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 6 Dominik 'Rathann' Mierzejewski 2015-02-12 12:36:00 UTC
I did some clean-ups and the package seems to be fine WRT the packaging guidelines.

Comment 7 Parag AN(पराग) 2015-02-13 02:54:21 UTC
Awesome! thanks Dominik for cleaning this up. Good to see this merge-review is not closed without fix/review.


Note You need to log in before you can comment on or make changes to this bug.